import ch.usi.dag.disl.annotation.After;
import ch.usi.dag.disl.annotation.Before;
import ch.usi.dag.disl.marker.BodyMarker;

public class SimpleProfiler {
	@Before(marker = BodyMarker.class)
	static void onMethodEntry() {

		// print method start
		System.out.println("Instrumentation: Method entry " + System.nanoTime());
	}

	@After(marker = BodyMarker.class)
	static void onMethodExit() {

		// print method end
		System.out.println("Instrumentation: Method exit " + System.nanoTime());
	}
}
